interface Props {
    files: unknown[];
}
declare const __VLS_export: import("vue").DefineComponent<Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "set-video": (val: unknown) => any;
}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{
    "onSet-video"?: (val: unknown) => any;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: typeof __VLS_export;
export default _default;
